Page MenuHomePhabricator

Include short descriptions for extensions bundled in the release
Open, NormalPublic

Description

Split from bug 31279 which covers too many issues: for the extensions which make-release bundles in the tarball (currently 7), the installer should provide their short description (next to their name, as tooltip, whatever).


Version: 1.21.x
Severity: enhancement
URL: https://www.mediawiki.org/wiki/Talk:Suggestions_for_extensions_to_be_integrated#System_administrator_fatigue

Details

Reference
bz43817

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:33 AM
bzimport set Reference to bz43817.
bzimport added a subscriber: Unknown Object (MLST).

Reminder: As this has the 1.21.0 target milestone set, this bug report needs to receive a patch in the next weeks, otherwise it might be excluded from 1.21.0.

Change 89340 had a related patch set uploaded by MarkAHershberger:
Include short descriptions for extensions bundled in the release

https://gerrit.wikimedia.org/r/89340

Change 94951 had a related patch set uploaded by MarkAHershberger:
Include short descriptions for extensions bundled in the release

https://gerrit.wikimedia.org/r/94951

Change 94951 merged by MarkAHershberger:
Include short descriptions for extensions bundled in the release

https://gerrit.wikimedia.org/r/94951

[Bumping TM as MediaWiki 1.22.0 tarball was released today.]

jayvdb added a comment.Dec 7 2013, 4:59 AM

Created attachment 14022
1.22 extension descriptions are red and blue dead links

I just ran through a clean 1.22 web installer process, which does have descriptions for the extensions.

However the descriptions include wikilinks like "Lets users select [[special:gadgets|custom CSS and JavaScript gadgets]] in their [[special:preferences#mw-prefsection-gadgets|preferences]]" with the first wikilink being _red_, and the second wikilink being blue. Neither red or blue link work because the installation process hasnt been commenced yet, so there is no mediawiki to understand these special: URLs.

The extension descriptions with this problem are: Gadgets, Interwiki, Nuke & Renameuser (ignore SpecialInterwiki - that is a different bug)

Attached:

Change 89340 merged by jenkins-bot:
Include short descriptions for extensions bundled in the release

https://gerrit.wikimedia.org/r/89340

Change 107110 had a related patch set uploaded by MarkAHershberger:
Include short descriptions for extensions bundled in the release

https://gerrit.wikimedia.org/r/107110

Change 107211 had a related patch set uploaded by MarkAHershberger:
Include short descriptions for extensions bundled in the release

https://gerrit.wikimedia.org/r/107211

Change 107211 merged by jenkins-bot:
Include short descriptions for extensions bundled in the release

https://gerrit.wikimedia.org/r/107211

Someone on irc recently reported getting the following when installing 1.22.2:

[95db6fd5] /mw-config/index.php?page=Options Exception from line 704 of /home/hgwiki/public_html/includes/cache/MessageCache.php: Non-string key given

Backtrace:

#0 /home/hgwiki/public_html/includes/Message.php(878): MessageCache->get(NULL, boolean, Language)
#1 /home/hgwiki/public_html/includes/Message.php(560): Message->fetchMessage()
#2 /home/hgwiki/public_html/includes/Message.php(639): Message->toString()
#3 /home/hgwiki/public_html/includes/installer/WebInstallerPage.php(961): Message->parse()
#4 /home/hgwiki/public_html/includes/installer/WebInstaller.php(275): WebInstaller_Options->execute()
#5 /home/hgwiki/public_html/mw-config/index.php(61): WebInstaller->execute(array)
#6 /home/hgwiki/public_html/mw-config/index.php(29): wfInstallerMain()
#7 {main}

Which may be related to the fix for this bug.

(In reply to comment #11)

Someone on irc recently reported getting the following when installing
1.22.2:
[95db6fd5] /mw-config/index.php?page=Options Exception from line 704 of
/home/hgwiki/public_html/includes/cache/MessageCache.php: Non-string key
given
Backtrace:
#0 /home/hgwiki/public_html/includes/Message.php(878):
MessageCache->get(NULL,
boolean, Language)
#1 /home/hgwiki/public_html/includes/Message.php(560):
Message->fetchMessage()
#2 /home/hgwiki/public_html/includes/Message.php(639): Message->toString()
#3 /home/hgwiki/public_html/includes/installer/WebInstallerPage.php(961):
Message->parse()
#4 /home/hgwiki/public_html/includes/installer/WebInstaller.php(275):
WebInstaller_Options->execute()
#5 /home/hgwiki/public_html/mw-config/index.php(61):
WebInstaller->execute(array)
#6 /home/hgwiki/public_html/mw-config/index.php(29): wfInstallerMain()
#7 {main}
Which may be related to the fix for this bug.

Specifically it appears the code explodes if somebody has something in the extension directory that doesn't set descriptionmsg in the extension credits, which many third party extensions don't. Code in question should really do some error handling.

Specifically it appears the code explodes if somebody has something in the
extension directory that doesn't set descriptionmsg in the extension credits,
which many third party extensions don't. Code in question should really do
some
error handling.

https://gerrit.wikimedia.org/r/#/c/110475/

Change 110475 had a related patch set uploaded by MarkAHershberger:
Add error handling if descriptionmsg isn't defined for extension.

https://gerrit.wikimedia.org/r/110475

Change 110475 merged by jenkins-bot:
Add error handling if descriptionmsg isn't defined for extension.

https://gerrit.wikimedia.org/r/110475

What is the status of this? Many patches have been submitted, many have been merged. Updates?

From what I saw the installer does have said short descriptions, I'm not sure however if something's still broken.

(In reply to Bartosz Dziewoński from comment #16)

What is the status of this? Many patches have been submitted, many have been
merged. Updates?

https://gerrit.wikimedia.org/r/#/c/107110/ is still open and -1'ed.

Thanks for reminding me of this. I'll see if I can't fix this today.

Change 107110 abandoned by MarkAHershberger:
Include short descriptions for extensions bundled in the release

https://gerrit.wikimedia.org/r/107110

I don't think this is feasible for the 1.23 release. I agree with Daniel's comments and his uneasiness:

That idea also makes me really uneasy. Even the great evil and insecure WordPress doesn't dare execute the PHP of a plugin that hasn't been activated yet.

We should wait for the Extension registration RfC to get implemented (hopefully 1.24) then we can just read from JSON files (metadata+i18n).

(In reply to Kunal Mehta (Legoktm) from comment #21)

We should wait for the Extension registration RfC to get implemented
(hopefully 1.24) then we can just read from JSON files (metadata+i18n).

Agreed. Bumping to 1.24..

https://gerrit.wikimedia.org/r/#/c/201417/ lays the groundwork for this, should be feasible to get this in for 1.25. See also T94758.

Has anybody worked on this, as 1.25 is around the corner?
If not, please remove/update the associated release project of this task.

Has anybody worked on this, as 1.25 is around the corner?
If not, please remove/update the associated release project of this task.

I was hoping someone else would pick it up :( Tagging for 1.26...

Gets more important now that crucial features are being split from core to bundled extensions (T74420).

@MarkAHershberger: Any progress? Asking as 1.26 will be released around November.

@MarkAHershberger: Any progress? Asking as 1.26 will be released around November. Or should the task assignee be unset? :-/

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 12 2016, 4:54 PM

With https://gerrit.wikimedia.org/r/#/c/424967/ it will be trivial to get the message key and MessagesDirs out of extension.json, I'm just not sure how to add those directories to the current LocalisationCache so the messages can be used.